Subject: Re: [PATCH] igb: fix legacy mode irq issue

From: Jeff Garzik <[email-masked]>
Date: Wed, 20 Feb 2008 11:50:59 -0500

Auke Kok wrote:
> From: Andy Gospodarek <[email-masked]>
> 
> I booted an igb kernel with the option pci=nomsi and instantly noticed
> that interrupts no longer worked on my igb device.  I took a look at the
> interrupt initialization and quickly discovered a comment stating:
> 
> "DO NOT USE EIAME or IAME in legacy mode"
> 
> It seemed a bit odd that bits to enable IAM were being set in legacy
> interrupt mode, so I dropped out the following parts and interrupts
> began working fine again.
> 
> [Updated code flow and a nitpick spelling error --Auke]
> 
> Signed-off-by: Andy Gospodarek <[email-masked]>
> Signed-off-by: Auke Kok <[email-masked]>

applied

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/